package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLCreateContextStatement extends SQLStatementImpl implements SQLCreateStatement {
   protected boolean orReplace;
   protected SQLName namespace;
   protected SQLName packagename;

   public boolean isOrReplace() {
      return this.orReplace;
   }

   public void setOrReplace(boolean orReplace) {
      this.orReplace = orReplace;
   }

   public SQLName getNamespace() {
      return this.namespace;
   }

   public void setNamespace(SQLName namespace) {
      this.namespace = namespace;
   }

   public SQLName getPackagename() {
      return this.packagename;
   }

   public void setPackagename(SQLName packagename) {
      this.packagename = packagename;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }
}
